class Bamboolab_contact_form
  def initialize(name, fields, mailer, translations)  
    @name = name  
    @fields = fields
    @mailer = mailer
		@translations = translations
  end

  def model
	create_model(@name, @fields)
  end

  def controller
	create_controller(@name, @fields, @mailer)
  end

  def helper
	create_helper(@name, @fields)
  end

  def view
	create_view(@name, @fields)
  end

  def mailer
	create_mailer(@name, @fields, @mailer) 
  end

  def notice
	create_notice(@name, @fields, @mailer) 
  end

	def model_save
	create_model_save(@name, @fields)
	end

	def controller_save 
	create_controller_save(@name, @fields, @mailer)
	end

	def translation
	create_translation(@name, @fields, @translations)
	end

end

require_relative 'create_model'
require_relative 'create_controller'
require_relative 'create_helper'
require_relative 'create_view'
require_relative 'create_mailer'
require_relative 'create_notice'
require_relative 'create_model_save'
require_relative 'create_controller_save'
require_relative 'create_translation'
