def create_controller_save(name, fields, mailer)

  fields_params = []
  fields_new_params = "{"
  email_names = []
  fields.each do |field|
    fields_params << "#{field.split(':')[0]}"
    email_names << "#{field.split(':')[0]}" if field.split(":")[1] == "email_field"
	fields_new_params << "'#{field.split(':')[0]}' => #{name}_params[:#{field.split(':')[0]}], "
  end
  fields_new_params.slice!(-2)
  fields_new_params << "}"

  remove_email_flash = []
  email_names.each do |e|
	remove_email_flash << "new_params['#{e}'] = '' if @#{name}.msg.include? '#{e}'"
  end

  mailer_line = ""
  unless mailer == "nil"
	mailer_line << "#{name.capitalize}sMailer.#{name}_contact(@#{name}).deliver_now"
  end

  write_controller = "class #{name.capitalize}sController < ApplicationController
	def send_#{name}
		@#{name} = #{name.capitalize}.new(#{name}_params)

		flash[:notice] = @#{name}.msg

		if @#{name}.save
   		    #{mailer_line}
			redirect_to :back
		else 
			if @#{name}.msg.include? 'Format email-a ne valja!' 
				new_params = #{fields_new_params}
				#{remove_email_flash.join("\n")}
				flash[:val] = new_params
				redirect_to :back
			else
				flash[:val] = #{name}_params
				redirect_to :back
			end
		end

	end

	private 

  def message_params
    params.require(:#{name}).permit(:#{fields_params.join(', :')})
  end
end"

  File.open("app/controllers/#{name}s_controller.rb", "w+") {|f| f.write(write_controller) }
end
