def create_model_save(name, fields)

	field_names = []
	field_emails = []
  field_names_validates = []
  field_emails_validates = []
	validate_email = []
  fields.each do |field|
   name_f = field.split(":")[0]
   type_f = field.split(":")[1]
	 field_names << name_f
	 field_emails << name_f if type_f == "email_field"
   field_names_validates << "  validates :#{name_f}, presence: true"
   field_emails_validates << "  validates :#{name_f}, format: { with: /\\A[\\w+\\-.]+@[a-z\\d\\-]+(\\.[a-z\\d\\-]+)*\\.[a-z]+\\z/i } #0 if ok, nil if don't" if type_f == "email_field"
		validate_email << "    valid_#{name_f} = self.#{name_f} =~ /\\A[\\w+\\-.]+@[a-z\\d\\-]+(\\.[a-z\\d\\-]+)*\\.[a-z]+\\z/i  #0 if ok, nil if don't" if type_f == "email_field"
  end

	success_case = "if"

	field_names.each_with_index do |name, i|
		success_case << " self.#{name}.present?"
		success_case << " and" unless i == field_names.length - 1 
	end

	wrong_email = []

	field_emails.each do |email|
		success_case << " and " unless success_case == "if"
		success_case << " valid_#{email}"
		wrong_email << "    elsif self.#{email}.present? and !valid_#{email}"
		wrong_email << "      return 'error_#{e.slice(6..-1)}_#{name}'"
	end

  write_model = "class #{name.capitalize} < ApplicationRecord
#{field_names_validates.join("\n")}
#{field_emails_validates.join("\n")}

	validate :msg
	def msg
#{validate_email.join("\n")}
    #{success_case}
      return 'success_#{name}'
#{wrong_email.join("\n")}
    else
	  return 'error_field_#{name}'
	end
  end
end
"

  File.open("app/models/#{name}.rb", "w+") {|f| f.write(write_model) }
end
