def create_translation(name, fields, translations)

  template = {
		"hr" => ["Pošalji poruku", "Pošalji", "Sva polja moraju biti popunjena!", "Format email-a ne valja! Provjerite polje", "Uspješno ste poslali poruku."],
		"en" => ["Send the message", "Send", "Fields can't be empty!", "Email format is wrong, check the field:", "Message sent successfully"],
		"de" => ["Senden eine Nachricht", "Senden", "Felder können nicht leer sein!", "Falsches Format, Überprüfen Sie das Feld:", "Nachricht wurde gesendet."]
	}

	translations.each do |t|
    email_fields = []
		fields.each do |field|
			email_fields << "  error_#{field.split(':')[0]}_#{name}: \"#{template[t][3]} #{field.split(':')[0]} \"" if field.split(':')[1] == "email_field"
		end

		write_translation = "#{t}:
  title_#{name}: \"#{template[t][0]} \"
  send_btn_#{name}: \"#{template[t][1]}\"
  error_field_#{name}: \"#{template[t][2]}\"
#{email_fields.join('\n')}
  success_#{name}: \"#{template[t][4]}\"
"
  	File.open("config/locales/#{name}.#{t}.yml", "w+") {|f| f.write( write_translation ) }
  end
end
